Update a snooze
curl --request PATCH \
--url https://api.empirical.run/api/snoozes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"snooze_until": "<string>",
"description": "<string>",
"expire_now": true,
"scoped_to_environment_id": 123,
"test_ids": [
"<string>"
]
}
'import requests
url = "https://api.empirical.run/api/snoozes/{id}"
payload = {
"snooze_until": "<string>",
"description": "<string>",
"expire_now": True,
"scoped_to_environment_id": 123,
"test_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
snooze_until: '<string>',
description: '<string>',
expire_now: true,
scoped_to_environment_id: 123,
test_ids: ['<string>']
})
};
fetch('https://api.empirical.run/api/snoozes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"snooze": {
"id": 123,
"test_ids": [
"<string>"
],
"snooze_until": "<string>",
"description": "<string>",
"created_from_test_run_id": 123,
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"scoped_to_environment_id": 123
}
}
}{
"data": "<unknown>",
"error": {
"message": "<string>"
}
}{
"data": "<unknown>",
"error": {
"message": "<string>"
}
}Snoozes
Update a snooze
Updates a snooze — extend it, change its tests/description, or expire it immediately with expire_now.
PATCH
/
api
/
snoozes
/
{id}
Update a snooze
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Snooze ID.
Required range:
x >= 1Body
application/json
ISO 8601 timestamp for when the snooze should expire.
Description, or null to clear it.
Set to true to immediately expire the snooze.
Environment ID to scope the snooze to. Set to null to apply to all environments.
Updated array of Playwright test IDs to snooze.
Response
The updated snooze.
Response payload.
Show child attributes
Show child attributes
Was this page helpful?
⌘I